Uploaded image for project: 'Thrift'
  1. Thrift
  2. THRIFT-4577

Outdated cipher string in python unit test

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 0.11.0
    • Fix Version/s: 0.12.0
    • Component/s: Python - Library
    • Labels:
      None
    • Environment:

      OpenSSL 1.1.0h

      Description

       

      test_ciphers fails if system SSL doesn't support "DES-CBC3-SHA" which is quite old.

      Adding an additional modern cipher fixes it.

      ====================================================================== 
      ERROR: test_ciphers (__main__.TSSLSocketTest) 
      ---------------------------------------------------------------------- 
      Traceback (most recent call last): 
        File "/data/x/repo/thrift/lib/py/build/lib.linux-x86_64-3.6/thrift/transport/TSSLSocket.py", line 281, in _do_open 
          return self._wrap_socket(plain_sock) 
        File "/data/x/repo/thrift/lib/py/build/lib.linux-x86_64-3.6/thrift/transport/TSSLSocket.py", line 179, in _wrap_socket 
          self.ssl_context.set_ciphers(self.ciphers) 
      ssl.SSLError: ('No cipher can be selected.',) 
       
      During handling of the above exception, another exception occurred: 
       
      Traceback (most recent call last): 
        File "test/test_sslsocket.py", line 268, in test_ciphers 
          self._assert_connection_success(server, ca_certs=SERVER_CERT, ciphers=TEST_CIPHERS) 
        File "test/test_sslsocket.py", line 156, in _assert_connection_success 
          client.open() 
        File "/data/x/repo/thrift/lib/py/build/lib.linux-x86_64-3.6/thrift/transport/TSSLSocket.py", line 289, in open 
          super(TSSLSocket, self).open() 
        File "/data/x/repo/thrift/lib/py/build/lib.linux-x86_64-3.6/thrift/transport/TSocket.py", line 101, in open 
          handle = self._do_open(family, socktype) 
        File "/data/x/repo/thrift/lib/py/build/lib.linux-x86_64-3.6/thrift/transport/TSSLSocket.py", line 286, in _do_open 
          raise TTransportException(TTransportException.NOT_OPEN, msg) 
      thrift.transport.TTransport.TTransportException: failed to initialize SSL

       

       

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                nsuke Aki Sukegawa
                Reporter:
                nsuke Aki Sukegawa
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: